clear all;
close all;

% This package solves problem
%  minimize     norm(Mx-y)
%  subject to   x >= 0
% When using possible regularization. For precise information about possible options, see file SolveProblem


% Load data
load('ETEX1_Run004_1');
% Run the OLS (ordinary least squares) method, no regularization
options.regularization = 'OLS';
xOLS = SolveProblem(M, y, options);
figure();
plot(xOLS);
% Run the LASSO regularization by adding l1 norm of x
options.regularization = 'LASSO';
[xLASSO, valueLASSO, dataLASSO] = SolveProblem(M, y, options);
figure();
plot(xLASSO);
dataLASSO
% Run the Tikhonov regularization by adding the squared l2 norm of x
options.regularization = 'Tikhonov';
options.alpha          = 1e-4; % Penalization parameter
[xTikhonov, valueTihkonov, dataTikhonov] = SolveProblem(M, y, options);
figure();
plot(xTikhonov)
dataTikhonov









